PDA

Visualizza la versione completa : blender e libgettextlib


slackyct
28-09-2006, 11:21
lanciando il programma blender ricevo questo messaggio
blender: error while loading shared libraries: libgettextlib-0.14.3.so: cannot open shared object file: No such file or directory

ho controllato e ho libgettextlib-0.15.so quindi una versione piu' aggiornata

perche' non funziona :dh:

ciao antonio

andy caps
28-09-2006, 14:07
:bh: prova ad andare in /usr/lib e fare il link

ln -s libgettextlib-0.15.so libgettextlib-0.14.3.so

a volte funziona

altrimenti guarda se trovi una versione piu aggiornata di blender

slackyct
28-09-2006, 14:25
si ho creato il link simbolico, anche se esisteva un link simbolico generico libgettextlib.so
poi mancava openal, installata
ora manca libalut.so.0 e non so proprio dove cercarla

tengo il mio sistema sempre aggiornato e penso che blender sia l'ultima versione, non riesco a capire quale sia la versione attualmente installata

ps. ho slackware 10.2 aggiornato alla current con slapt-get

slackyct
28-09-2006, 14:33
la versione di blender e' 2.42, controllando nel sito blender.org e' proprio l'ultima

andy caps
28-09-2006, 14:33
prova ad installare freealut

slackyct
29-09-2006, 09:21
fatto, ovviamente il programma non funziona ancora, mi manca un'altra libreria libHalf.so.2

a questo punto ho una domanda:
perche' mi mancano tutte queste librerie???
1) sono delle librerire non di uso comune, solo alcuni programmi tipo blender le richiedono
2) non basta lanciare slapt-get per tenere il so sempre aggiornato
3) ...............

ciao

andy caps
29-09-2006, 14:46
openexr dovrebbe provvedere a qualla libreria

slapt-get o swaret non sono apt di debian
hanno dei limiti notevoli purtroppo

prima quando non esistevano era un supplizio cercarsi tutte le librerie nei vari siti

Loading